<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion_db.php
| Author: COMY (Dennis Vorpahl)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."fusion_shop_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."fusion_shop_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."fusion_shop_panel/locale/German.php";
}
// define Database
if (!defined("DB_SHOP_SESSION")) {
	define("DB_SHOP_SESSION", DB_PREFIX."shop_session");
}
if (!defined("DB_SHOP_WARENKORB")) {
	define("DB_SHOP_WARENKORB", DB_PREFIX."shop_warenkorb");
}
if (!defined("DB_SHOP_UNTERGRUPPEN")) {
	define("DB_SHOP_UNTERGRUPPEN", DB_PREFIX."shop_untergruppen");
}
if (!defined("DB_SHOP_HAUPTGRUPPEN")) {
	define("DB_SHOP_HAUPTGRUPPEN", DB_PREFIX."shop_hauptgruppen");
}
if (!defined("DB_SHOP_SETTINGS")) {
	define("DB_SHOP_SETTINGS", DB_PREFIX."shop_settings");
}
if (!defined("DB_SHOP_ARTIKEL")) {
	define("DB_SHOP_ARTIKEL", DB_PREFIX."shop_artikel");
}
if (!defined("DB_SHOP_ZAHLARTEN")) {
	define("DB_SHOP_ZAHLARTEN", DB_PREFIX."shop_zahlarten");
}
if (!defined("DB_SHOP_BESTELLUNGEN")) {
	define("DB_SHOP_BESTELLUNGEN", DB_PREFIX."shop_bestellungen");
}
if (!defined("DB_SHOP_VERSANDARTEN")) {
	define("DB_SHOP_VERSANDARTEN", DB_PREFIX."shop_versandarten");
}

if (!defined("DB_USER")) {
	define("DB_USER", DB_PREFIX."users");
}

?>